%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           django-pagination
Version:        1.0.5
Release:        1%{?dist}
Summary:        Django pagination tools

Group:          Development/Languages
License:        BSD
URL:            http://code.google.com/p/django-pagination/
Source0:        http://django-pagination.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-setuptools

%description
A set of utilities for creating robust pagination tools throughout a django application.

%prep
%setup -q
find -name '._*' -exec rm {} \;

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CONTRIBUTORS.txt LICENSE.txt docs/
%{python_sitelib}/*

%changelog
* Wed Feb 18 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.0.5-1
- Initial RPM release

